DROP TABLE if EXISTS Entwicklung;
DROP TABLE if EXISTS  Aufenthalt;
DROP TABLE if EXISTS  Drachen;
DROP TABLE if EXISTS  Drachenkunde;
DROP TABLE if EXISTS  Farm;


create TABLE Drachenkunde (aid int AUTO_INCREMENT PRIMARY KEY, art VARCHARACTER(255) not NULL UNIQUE, beschreibung VARCHARACTER(255), hauptsuperkraft VARCHARACTER(255) not NULL);
create TABLE Farm(fid int AUTO_INCREMENT PRIMARY KEY, name VARCHARACTER(255) not NULL, besitzer VARCHARACTER(255), stadt VARCHARACTER(255), strasse VARCHARACTER(255), land VARCHARACTER(255));
create TABLE Drachen (did int AUTO_INCREMENT PRIMARY KEY, name VARCHARACTER(255) not NULL, vater int, mutter int, gj int, gs VARCHARACTER(255), 
art int,  FOREIGN KEY (art) REFERENCES Drachenkunde(aid));
create TABLE Aufenthalt(did int, fid int, ejahr int not NULL, FOREIGN KEY (did) REFERENCES Drachen(did), FOREIGN KEY (fid) REFERENCES Farm(fid), PRIMARY key (did, fid, ejahr));
create TABLE Entwicklung(did int, jahr int not NULL, gewicht int not NULL, laenge int not NULL, FOREIGN KEY (did) REFERENCES Drachen(did), PRIMARY KEY(did, jahr));




insert into Drachenkunde VALUES 
(1, "Feuerdrache", "Sie gelten als Agressiv", "Feuer"),
(2, "Flugdrache", "Sie koennen sehr lange fliegen", "Fliegen"),
(3, "Flussdrache", "Sind mehr friedfertig", "Schwimmen"),
(4, "Silberdrache", "Sind sehr gesellig", "Durchsichtig");

insert into Farm VALUES
(1, "Drachenhaus", "Gustav", "Entenhausen",  "Hauptstrasse", "Deutschland"),
(2, "DragonHo", "Joe", "Bristol", "1st Street", "UK"),
(3, "Flugschule", "Christel", "Wien", "Auengasse", "Austria"),
(4, "DrachePache", "Jenny", "Essen", "Engelsgasse", "Deutschland");

INSERT INTO Drachen VALUES
(1, "Jessika",  NULL, NULL, 1650, "female", 4),
(2, "Alexander",  NULL, NULL, 1680, "male", 3),
(3, "Rene",   NULL, NULL, 1649, "male", 1),
(4, "Jorgen", NULL, NULL, 1655, "male", 4),
(5, "Christian",  NULL, NULL, 1698, "male", 3),
(6, "Marko",  7,  25, 1823, "male", 4),
(7, "Vanessa",  24, 9,  1761, "female", 4),
(8, "Paul",   21, 20, 1924, "male", 1),
(9, "Maik",   19, 26, 1806, "male", 4),
(10,  "Martin", 19, 13, 1970, "male", 4),
(11, "Patrick",   11, 16, 1835, "male", 4),
(12,  "Christian",  6,  27, 1890, "male", 1),
(13,  "Katja",  1,  23, 1984, "female", 1),
(14,  "Marcel", 28, 15, 1823, "male", 3),
(15,  "Klaudia",  23, 8,  1995, "female", 3),
(16,  "Dominik",  19, 7,  2001, "male", 3),
(17,  "Robert", 11, 6,  2012, "male", 3),
(18,  "Luca",   20, 1,  1739, "male", 2),
(19,  "Lisa",   2,  26, 1768, "female", 3),
(20,  "Ines",   14, 17, 1987, "female", 1),
(21,  "Anja",   4,  5,  1953, "female", 2),
(22,  "Anna",   4,  22, 1842, "female", 3),
(23,  "Dennis", 16, 11, 1880, "male", 1),
(24, "Steffen",   22, 6,  1887, "male", 4),
(25,  "Kevin",  12, 13, 1716, "male", 4),
(26,  "Steffen",  13, 22, 1815, "male", 1),
(27,  "Markus", 23, 21, 1787, "male", 4),
(28,  "Alexander",  12, 21, 1982, "male", 4),
(29,  "Max",    1,  7,  1944, "male", 2),
(30,  "Marco",  25, 1,  1835, "male", 3),
(31,  "Maik",   15, 15, 1906, "male", 1),
(32,  "Mike",   2,  15, 1996, "male", 1),
(33,  "Erik",   28, 7,  1951, "male", 4),
(34,  "Daniela",  10, 22, 1935, "female", 4),
(35,  "Patrick",  10, 14, 1980, "male", 2),
(36,  "Lisa",   26, 6,  1790, "female", 1),
(37,  "Thorsten", 18, 27, 1995, "male", 2),
(38,  "Stefan", 23, 3,  1848, "male", 1),
(39,  "Stefanie", 14, 26, 1948, "female", 3),
(40,  "Manuela",  23, 28, 1751, "female", 2),
(41,  "Katharina",  2,  11, 1882, "female", 1),
(42,  "Steffen",  25, 15, 1776, "male", 4),
(43,  "Katrin", 30, 27, 1753, "female", 3),
(44,  "Kathrin",  13, 14, 1818, "female", 3),
(45,  "Dirk",   6,  23, 1871, "male", 1),
(46,  "Jessika",  23, 1,  1886, "female", 2),
(47,  "Lisa",   4,  4,  1916, "female", 4),
(48,  "Erik",   16, 30, 1730, "male", 1),
(49,  "Antje",  25, 13, 1717, "female", 3),
(50,  "Patrick",  23, 1,  1783, "male", 4),
(51,  "Michelle", 22, 12, 1861, "female", 4),
(52,  "Steffen",  9,  12, 1946, "male", 3),
(53,  "Sophie", 7,  4,  1824, "female", 4),
(54,  "Daniel", 11, 2,  1859, "male", 3),
(55,  "Robert", 12, 16, 1779, "male", 2),
(56,  "Jennifer", 29, 17, 1761, "female", 4),
(57,  "Monika", 6,  16, 1910, "female", 4),
(58,  "Jessika",  30, 26, 1947, "female", 3),
(59,  "Tanja",  29, 30, 1753, "female", 4),
(60,  "Klaudia",  26, 30, 1838, "female", 2);


insert into Aufenthalt VALUES
(49,2,2013
),(14,4,2019
),(30,3,2012
),(49,1,2016
),(59,2,2007
),(21,3,2001
),(10,2,2003
),(35,2,2016
),(56,3,2012
),(31,3,2001
),(31,3,2006
),(2,2,2009
),(33,3,2001
),(41,1,2011
),(18,4,2019
),(38,3,2010
),(49,2,2015
),(43,4,2005
),(41,1,2004
),(36,4,2011
),(55,1,2014
),(51,3,2006
),(40,1,2005
),(40,2,2009
),(28,4,2013
),(31,2,2018
),(26,4,2007
),(46,1,2015
),(9,1,2018
),(29,1,2002
),(8,2,2002
),(6,1,2014
),(34,1,2002
),(28,1,2003
),(57,2,2000
),(1,2,2003
),(17,3,2015
),(38,1,2004
),(49,4,2011
),(7,1,2000
),(56,2,2013
),(19,1,2004
),(35,1,2012
),(51,4,2017
),(19,3,2018
),(55,2,2009
),(12,4,2003
),(38,4,2006
),(28,1,2000
),(36,3,2018
),(2,3,2018
),(56,1,2015
),(59,1,2002
),(37,3,2005
),(2,4,2009
),(12,2,2014
),(50,2,2004
),(39,2,2012
),(14,3,2000
),(7,2,2003
),(16,2,2004
),(15,1,2001
),(57,4,2019
),(45,1,2009
),(39,1,2002
),(47,4,2005
),(8,4,2013
),(42,1,2000
),(5,1,2011
),(38,4,2011
),(50,1,2002
),(48,1,2000
),(3,1,2002
),(17,1,2019
),(58,2,2010
),(60,4,2017
),(31,2,2007
),(36,1,2003
),(16,1,2002
),(57,4,2010
),(18,2,2001
),(39,3,2012
),(38,1,2013
),(18,1,2011
),(23,2,2004
),(4,3,2012
),(35,3,2010
),(27,4,2000
),(32,2,2019
),(10,1,2018
),(31,4,2019
),(57,3,2011
),(52,1,2019
),(33,4,2011
),(45,1,2007
),(42,1,2007
),(38,1,2001
),(11,2,2002
),(48,4,2011
),(34,2,2015
),(52,3,2011
),(47,4,2018
),(48,1,2007
),(59,3,2010
),(58,1,2000
),(21,3,2000
),(45,3,2003
),(17,3,2014
),(11,3,2004);

INSERT into Entwicklung VALUES 
(36,2014,1847,6906
),(18,2017,3961,2111
),(56,2014,3564,2289
),(59,2016,989,3488
),(32,2011,1253,854
),(22,2013,1962,1167
),(3,2019,2830,8366
),(23,2011,2967,943
),(7,2014,3657,2333
),(58,2012,2053,6746
),(29,2015,1550,8086
),(1,2014,1027,5364
),(4,2016,3977,4865
),(18,2016,1246,6925
),(27,2018,3045,4774
),(46,2010,2493,1267
),(48,2010,755,6651
),(11,2013,1196,4421
),(19,2012,1222,2285
),(14,2019,3760,861
),(22,2011,1978,4591
),(60,2016,3854,5960
),(56,2017,2375,1127
),(33,2013,3684,3802
),(26,2011,1135,1392
),(7,2012,1894,4358
),(25,2017,3748,2446
),(43,2015,2739,2490
),(42,2011,2388,2951
),(40,2018,1594,2616
),(24,2010,2969,5665
),(4,2018,940,3608
),(10,2019,3704,8258
),(11,2012,742,1715
),(5,2016,906,519
),(49,2011,1125,773
),(24,2017,3752,4949
),(45,2015,1918,6759
),(46,2017,2054,1410
),(10,2018,1291,3292
),(20,2011,2532,8310
),(7,2015,838,6414
),(22,2018,3564,4674
),(3,2010,2967,4029
),(4,2014,2999,2263
),(29,2016,1722,1353
),(53,2018,1196,1945
),(44,2012,2739,8905
),(25,2018,1379,8423
),(29,2019,3877,4628
),(26,2017,718,2093
),(15,2015,1711,7284
),(53,2013,1184,4989
),(20,2015,1535,893
),(54,2013,1250,6477
),(32,2012,1346,5928
),(53,2014,2778,3783
),(32,2014,3436,3663
),(60,2013,1263,4013
),(24,2018,2070,3704
),(40,2011,3594,4411
),(52,2015,858,1100
),(31,2016,3941,4839
),(41,2019,3331,1793
),(57,2014,3046,1565
),(59,2010,2206,1118
),(59,2017,2734,6887
),(5,1916,2799,5728
),(40,2016,2214,4058
),(34,2012,1906,5314
),(22,1911,3714,7998
),(51,2014,1363,4313
),(26,1911,3696,2297
),(56,1914,3212,462);


